--------------------------------------------------------------------------------
--(C) 2010 C. Montangero
--------------------------------------------------------------------------------

package body Standard_Spark_IO is
  StdIn : constant Spark_IO.File_Type := Spark_IO.Standard_Input;
  StdOut : constant Spark_IO.File_Type := Spark_IO.Standard_Output;
  procedure Std_New_Line(Spacing : in Positive)
  is
  begin
    SPARK_IO.New_Line(StdOut, Spacing);
  end Std_New_Line;

  procedure Std_Skip_Line(Spacing : in Positive)
  is
  begin
    Spark_IO.Skip_Line(StdIn, Spacing);
  end Std_Skip_Line;

  procedure Std_New_Page
  is
  begin
    SPARK_IO.New_Page(StdOut);
  end Std_New_Page;


-- Integer IO

  procedure Std_Get_Integer( Item  :    out Integer;
                             Read  :    out Boolean)
  is
  begin
    Spark_IO.Get_Integer(StdIn,Item,0,Read);
  end Std_Get_Integer;

  procedure Std_Put_Integer(Item  : in Integer)
  is
  begin
    Spark_IO.Put_Integer(StdOut,Item,10,10);
  end Std_Put_Integer;

end Standard_Spark_IO;
